package com.ruoyi.system.core.mqtt;

import com.alibaba.fastjson.JSONObject;

import java.util.Date;

public class MqttPackage {
    private String deviceId;

    private JSONObject properties;

    private Long reportTime;

    public MqttPackage(String deviceId,JSONObject properties){
        this.deviceId = deviceId;
        this.properties = properties;
        this.reportTime = 1694154121796L;
    }

    public Long getReportTime() {
        return reportTime;
    }

    public void setReportTime(Long reportTime) {
        this.reportTime = reportTime;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public JSONObject getProperties() {
        return properties;
    }

    public void setProperties(JSONObject properties) {
        this.properties = properties;
    }
}
